Page MenuHomePhabricator

Show the number of MassAction jobs queued on Special:Statistics
Closed, ResolvedPublic

Description

Similar to the behaviour of MassMessage

The hook used in MassMessage can be seen at https://github.com/wikimedia/mediawiki-extensions-MassMessage/blob/master/MassMessage.hooks.php#L103
The method counting the jobs can be seen at https://github.com/wikimedia/mediawiki-extensions-MassMessage/blob/master/includes/MassMessage.php#L207

Job names:

  • massActionChangeSaverJob
  • massActionChangeSaverSpawnerJob
  • massActionTargetListJob

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Apr 20 2015, 2:30 PM
Addshore raised the priority of this task from to Low.
Addshore updated the task description. (Show Details)
Addshore added a project: MassAction.
Addshore added a subscriber: Addshore.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2015, 2:30 PM
Addshore updated the task description. (Show Details)Dec 4 2015, 11:58 AM
Addshore set Security to None.
Krinkle renamed this task from Show the number of Jobs queued on Special:Statistics to Show the number of MassAction jobs queued on Special:Statistics.Dec 4 2015, 12:04 PM

I will mentor this task for GCI 2015

Unicornisaurous added a subscriber: Unicornisaurous.

I've claimed this on GCI.

Change 258769 had a related patch set uploaded (by Unicornisaurous):
Show the number of MassAction jobs queued on Special:Statistics

https://gerrit.wikimedia.org/r/258769

Change 258769 merged by jenkins-bot:
Show the number of MassAction jobs queued on Special:Statistics

https://gerrit.wikimedia.org/r/258769

Unicornisaurous closed this task as Resolved.Dec 14 2015, 3:36 PM